<script lang="ts">
    import Elerium from './Elerium.svelte'
    import Graphite from './Graphite.svelte'
    import Metal from './Metal.svelte'
    import Paste from './Paste.svelte'

    export let name: string
</script>

<div class="icon">
    {#if name === 'elerium'}
        <Elerium />
    {:else if name === 'graphite'}
        <Graphite />
    {:else if name === 'metal'}
        <Metal />
    {:else if name === 'paste'}
        <Paste />
    {/if}
</div>
